ServerEvents.recipes(event => {
    //Bronze
    event.recipes.create.compacting(
        'create:brass_ingot',
        Fluid.of('createbigcannons:molten_bronze',90)
    )
    event.remove(
    {
        id: 'createbigcannons:compacting/forge_bronze_ingot'
    })

    //Steel
    event.custom({
        type: "createbigcannons:melting",
        ingredients: [
          {
            item: "simplysteel:crude_iron"
          }
        ],
        results: [
          {
            "fluid": "createbigcannons:molten_steel",
            "amount": 90
          }
        ],
        processingTime: 180,
        heatRequirement: "superheated"
      })
    event.remove({
        id: 'simplysteel:steel_ingot_from_blasting'
    })
    event.recipes.create.compacting(
        'simplysteel:steel_ingot',
        Fluid.of('createbigcannons:molten_steel',90)
    )

    //Disable autocanon
    event.remove({
        type: 'create:cutting',
        output: 'createbigcannons:autocannon_barrel_cast_mould'
    })
    event.remove({
        type: 'create:cutting',
        output: 'createbigcannons:autocannon_recoil_spring_cast_mould'
    })
    event.remove({
        type: 'create:cutting',
        output: 'createbigcannons:autocannon_breech_cast_mould'
    })
    event.remove({
        type: 'create:sequenced_assembly',
        output: 'createbigcannons:cast_iron_autocannon_breech_extractor'
    })
    event.remove({
        type: 'create:sequenced_assembly',
        output: 'createbigcannons:bronze_autocannon_breech_extractor'
    })
    event.remove({
        type: 'create:sequenced_assembly',
        output: 'createbigcannons:steel_autocannon_breech_extractor'
    })
    event.remove({
        output: 'createbigcannons:autocannon_ammo_container'
    })
    event.remove({
        output: 'createbigcannons:ap_autocannon_round'
    })
    event.remove({
        output: 'createbigcannons:flak_autocannon_round'
    })
    event.remove({
        type: 'create:cutting',
        output: 'createbigcannons:autocannon_cartridge_sheet'
    })

    event.remove({
        type: 'create:cutting',
        output: 'createbigcannons:spring_wire'
    })
});


ServerEvents.tags('item', event => {
    //Bronze (use brass as bronze)
    event.add('createbigcannons:nugget_bronze', 'create:brass_nugget')
    event.add('createbigcannons:ingot_bronze', 'create:brass_ingot')
    event.add('createbigcannons:block_bronze', 'create:brass_block')

    // event.add('createbigcannons:nugget_steel', 'simplysteel:steel_nugget')
    // event.add('createbigcannons:ingot_steel', 'simplysteel:steel_ingot')
    // event.add('createbigcannons:block_steel', 'simplysteel:steel_block')
  })
